This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 987116 - plexus-containers: Add OSGi menifest
plexus-containers: Add OSGi menifest
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: plexus-containers (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 985674 985682
  Show dependency treegraph
 
Reported: 2013-07-22 14:04 EDT by Mikolaj Izdebski
Modified: 2013-07-23 01:22 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.5.5-12
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 01:22:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-07-22 14:04:15 EDT
Description of problem:
Please add OSGi manifest for plexus-containers-component-annotations.
The manifest is required for plexus-containers to be able to used as
bundle by Eclipse and Tycho.  It is needed to build Eclipse Sisu,
which is dependency of Apache Maven version 3.1.0.

The manifest should contain:
  Bundle-SymbolicName: plexus.component.annotations
  Bundle-Version: 1.5.5
  Bundle-ManifestVersion: 2

Version-Release number of selected component (if applicable):
1.5.5-11

Additional info:
[1] http://fedoraproject.org/wiki/Packaging:Java
[2] http://fedoraproject.org/wiki/Packaging:Guidelines
[3] http://fedoraproject.org/wiki/Packaging:EclipsePlugins
Comment 1 Mikolaj Izdebski 2013-07-23 00:56:05 EDT
BSN will be org.codehaus.plexus.component-annotations
Comment 2 Mikolaj Izdebski 2013-07-23 00:56:35 EDT
Fixed in plexus-containers-1.5.5-12
Comment 3 Mikolaj Izdebski 2013-07-23 01:22:40 EDT
I believe that this bug is fixed in plexus-containers-1.5.5-12,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=436866

Note You need to log in before you can comment on or make changes to this bug.